<?php
/**
 * 金戈企业建站系统：企业简介管理页
 *
 *
 * @name 
 * @author 烟鬼 QQ:460874 Email:460874@qq.com
 * @version 0.1  $id  rootqyjj.php
 * @copyright Copyright (c) 2007 - 2008 烟鬼
 */
session_start();
require('../config.php');
require('rootfun/roothtml.php');
require('rootfun/rootfun.php');

//判断是否是管理员，该函数在myfun.php 中定义
if(!check_root())
	{
		echo '<meta http-equiv="Refresh" content="0; url=../error.php?error=nono" >';
		exit;
	}
//插入页头
rootheader();
?>
<div id="rootmain">

<?php
$action = $_GET['action'];

//企业简介管理
if ($action == 'jjsz') 
{
     $qyjj = root_all(qyjj);
     if ($qyjj) 
     {
          $qyjj = setassoc($qyjj);
          display_qyjj_form($qyjj);
     }
     else 
     {
		display_qyjj_form();
     }
}

//更新企业简介
if ($action == 'upqyjj') 
{
	$qyjj = my_yz($_POST['qyjj']);
	$nid = trim($_POST['nid']);
     //严整表单填写是否完整
     if (!filled_out($_POST)) 
     {
          echo '请完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
          exit;
     }
     
     //判断是否更新了图片信息。如果没有直接转到else
     if (isset($_FILES['userfile']['name'])&&is_uploaded_file($_FILES['userfile']['tmp_name'])) 
     {
		//严整上传内容是否有错误
     	if ($_FILES['userfile']['error'] > 0)
  		{
    		echo '警告: ';
    		switch ($_FILES['userfile']['error'])
    		{
      			case 1:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 2:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 3:  echo '上传文件残缺--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      			case 4:  echo '您还没有选择任何需要上传的文件--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
    		}
		}
		//严整上传文件格式是否正确
		if ($_FILES['userfile']['type'] != 'image/jpeg' && $_FILES['userfile']['type'] != 'image/pjpeg')
  		{
    		echo '警告: 不符合系统要求的文件格式,请使用JPEG格式的图片--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		//对上传文件的安全验证等
  		$upfile = '../up/jjimg/'.$_FILES['userfile']['name'];
  		if (is_uploaded_file($_FILES['userfile']['tmp_name'])) 
  		{
     		if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $upfile))
     		{
        		echo '警告: 无up/jjimg文件夹或对该文件夹无写入权限！<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
        		exit;
     		}
  		} 
  		else 
  		{
    		echo '警告: 文件名内包含敏感字符，请修改文件名: ';
    		echo $_FILES['userfile']['name'].'<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    		exit;
  		}
  		
  		$upfile = 'up/jjimg/'.$_FILES['userfile']['name'];
  		if (upqyjj($upfile,$qyjj,$nid)) 
  		{
  	     	echo '更新成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
  		else 
  		{
  			echo '更新失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
  		}
     }
     else 
     {
     	if (upqyjj_nr($qyjj,$nid)) 
     	{
     	     echo '更新成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     	}
     	else 
     	{
     		echo '更新失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
     	}
     }
}

//添加企业简介
if ($action == 'inqyjj') 
{
	$qyjj = my_yz($_POST['qyjj']);
	if (!filled_out($_POST)) 
	{
	     echo '完整填写表单--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
	     exit;
	}
	
	//严整上传内容是否有错误
     if ($_FILES['userfile']['error'] > 0)
  	{
    	echo '警告: ';
    	switch ($_FILES['userfile']['error'])
    	{
      		case 1:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      		case 2:  echo '文件大小超出系统设置的值--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      		case 3:  echo '上传文件残缺--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
      		case 4:  echo '您还没有选择任何需要上传的文件--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';  break;
    	}
	}
	//严整上传文件格式是否正确
	if ($_FILES['userfile']['type'] != 'image/jpeg' && $_FILES['userfile']['type'] != 'image/pjpeg')
  	{
    	echo '警告: 不符合系统要求的文件格式,请使用JPEG格式的图片--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    	exit;
  	}
  	//对上传文件的安全验证等
  	$upfile = '../up/jjimg/'.$_FILES['userfile']['name'];
  	if (is_uploaded_file($_FILES['userfile']['tmp_name'])) 
  	{
     	if (!move_uploaded_file($_FILES['userfile']['tmp_name'], $upfile))
     	{
        	echo '警告: 无up/jjimg文件夹或对该文件夹无写入权限！<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
        	exit;
     	}
  	} 
  	else 
  	{
    	echo '警告: 文件名内包含敏感字符，请修改文件名: ';
    	echo $_FILES['userfile']['name'].'<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a><br />';
    	exit;
  	}
  	$infile = 'up/jjimg/'.$_FILES['userfile']['name'];
  	
	if (inqyjj($infile,$qyjj)) 
	{
	     echo '添加成功--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
	}
	else 
	{
		echo '添加失败--<a href='.$_SERVER['HTTP_REFERER'].'>返 回</a>';
	}
}

?>

</div>

<?php
//插入页脚
rootfooter();
?>